//
//  ViewController.m
//  NumberPad
//
//  Created by san_xu on 2017/1/11.
//  Copyright © 2017年 com.charity.huakala. All rights reserved.
//

#import "ViewController.h"
#import "HKLKeyboard.h"

@interface ViewController ()
@property (weak, nonatomic) IBOutlet UITextField *inputTextField;
@end

@implementation ViewController

/****
     重要：
     HKLKeyboard使用方式非常简单，一句代码搞定
 ****/

- (void)viewDidLoad {
    [super viewDidLoad];
    
    //一句代码就可以使用，使用方式如下：
    self.inputTextField.inputView = [HKLKeyboard keyboardWithTextField:self.inputTextField];
    
    
    //如果想监听文本框内容的改变并且拿到改变之后的内容，方式如下：
    /*
        //1,创建对象
        HKLKeyboard *keyboard = [HKLKeyboard keyboardWithTextField:self.inputTextField];
        //2,使用block监听
        __weak typeof(self) weakSelf = self;
        [keyboard setTextFieldValueChanged:^(NSString *value) {
            //在这里可以监听到内容的改变并且拿到改变之后的值
            NSLog(@"%@",value);
            //block内一定要使用weakSelf否则会循环引用，造成内存泄漏
        }];
        //3,赋值
        self.inputTextField.inputView = keyboard;
     
   */
}

@end
